ubuntu/+source/hplip:applied/ubuntu/cosmic-proposed

Last commit made on 2018-10-07
Get this branch:
git clone -b applied/ubuntu/cosmic-proposed https://git.launchpad.net/ubuntu/+source/hplip
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/cosmic-proposed
Repository:
lp:ubuntu/+source/hplip

Recent commits

fd8dbc0... by Till Kamppeter on 2018-10-04

Import patches-applied version 3.18.7+dfsg1-2ubuntu2 to applied/ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: e2cd44714895887aa768c85c673d5479cd4e2323
Unapplied parent: cad3fd662948a7b087769598649166b56761c889

New changelog entries:
  * Let hp-check show distro names correctly (and not internal
    index numbers for them, LP: #1688684).

cad3fd6... by Till Kamppeter on 2018-10-04

hp-check: Fix core.distro vs. core.distro_name mixups.

Gbp-Pq: hp-check-distro-names-fix.patch.

1f799d7... by Till Kamppeter on 2018-10-04

Fixed incomplete removal of hp-toolbox features, which

Gbp-Pq: fix-hp-toolbox-startup.patch.

7e1495b... by Till Kamppeter on 2018-10-04

Call QMessageBox constructors of PyQT5 with the correct parameters

Gbp-Pq: fix-qmessagebox-typo.patch.

6be1958... by Till Kamppeter on 2018-10-04

Remove all ImageProcessor functionality, which is closed-source

Gbp-Pq: 0025-Remove-all-ImageProcessor-functionality-which-is-clo.patch.

ffdff88... by Till Kamppeter on 2018-10-04

Make dat2drv and locateppd build dependent of class driver enabling;

Gbp-Pq: 0024-Make-dat2drv-and-locateppd-build-dependent-of-class-.patch.

43f7cc2... by Till Kamppeter on 2018-10-04

Fix handling of unicode filenames in sixext.py

Gbp-Pq: 0023-Fix-handling-of-unicode-filenames-in-sixext.py.patch.

f12b690... by Till Kamppeter on 2018-10-04

Fix list wrapping in scan.py to fix generated manpage

Gbp-Pq: 0022-Fix-list-wrapping-in-scan.py-to-fix-generated-manpag.patch.

8b84715... by Till Kamppeter on 2018-10-04

Add 'include <cups/ppd.h>' in various places as CUPS 2.2 moved some

Gbp-Pq: 0021-Add-include-cups-ppd.h-in-various-places-as-CUPS-2.2.patch.

c8df0fe... by Till Kamppeter on 2018-10-04

Patch UI files to match upstream produced .py code

Gbp-Pq: ui-patch-upstream-like.patch.